%global forgeurl        https://github.com/dreamworksanimation
%global cmodver         1.0.0.5

%bcond tests    1

# Core Dump Fix
%global optflags %(echo '%optflags' | sed s/-Wp,-D_GLIBCXX_ASSERTIONS//)

Name:           mcrt_dataio
Version:        15.7.0.0
Release:        %{autorelease}
Summary:        Progressive image compression used with Arras

License:        Apache-2.0
URL:            https://openmoonray.org/
Source0:        %{forgeurl}/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz
Source1:        %{forgeurl}/cmake_modules/archive/refs/tags/cmake_modules-%{cmodver}.tar.gz

Patch:          %{name}-includes.patch

BuildRequires:  cmake >= 3.23.1
BuildRequires:  gcc-c++

BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(freetype2)

BuildRequires:  cmake(ArrasCore)
BuildRequires:  cmake(McrtDenoise)
BuildRequires:  cmake(McrtMessages)
BuildRequires:  cmake(SceneRdl2)

Requires:       ArrasCore
Requires:       McrtDenoise
Requires:       McrtMessages
Requires:       SceneRdl2
Provides:       McrtDataio = %{version}

%description
Progressive image compression used with Arras


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

Requires:       pkgconfig(cppunit)
Requires:       pkgconfig(freetype2)
Requires:       cmake(ArrasCore)
Requires:       cmake(McrtDenoise)
Requires:       cmake(McrtMessages)
Requires:       cmake(SceneRdl2)

%description    devel
The %{name}-devel package contains libraries and header files of %{name}, required to build other parts of OpenMoonRay.


%prep
%autosetup -p1 -n %{name}-%{name}-%{version}
mkdir -p cmake_modules
tar -xzf %{SOURCE1} --strip-components=1 -C $_

# Include minor releases
sed -i "14s|'[^']*'|'%{version}'|" \
        package.py

sed -i '/#include <string>/a #include <cstdint>' \
        lib/share/util/FpsTracker.h
sed -i '/#include <iostream>/a #include <cstdint>' \
        lib/engine/mcrt/McrtControl.h
sed -i '/#include <iomanip>/a #include <cstdint>' \
        lib/engine/merger/FbMsgUtil.cc


%build
ARRAS_SESSION_PATH=%{_libdir}/openmoonray/sessions \
%cmake \
    -DCMAKE_MODULE_PATH=%{_builddir}/%{buildsubdir}/cmake_modules/cmake \
    -DMOONRAY_USE_OPTIX=OFF \
    -DBUILD_TESTING=%{expr:%{with tests}?"ON":"OFF"}
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%{_bindir}/{infoRecDump,sockTest,verifyMcrtFeedback}
%{_libdir}/libclient_receiver.so
%{_libdir}/libengine_{mcrt,merger}.so
%{_libdir}/libshare_{codec,sock,util}.so

%files devel
%{_includedir}/%{name}
%{_libdir}/cmake/McrtDataio-%{version}


%changelog
%autochangelog
